Index: XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90	(revision 501)
+++ XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90	(revision 517)
@@ -49,4 +49,25 @@
     
     
+    SUBROUTINE cxios_set_file_format(file_hdl, format, format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: format
+      INTEGER  (kind = C_INT)     , VALUE        :: format_size
+    END SUBROUTINE cxios_set_file_format
+    
+    SUBROUTINE cxios_get_file_format(file_hdl, format, format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: format
+      INTEGER  (kind = C_INT)     , VALUE        :: format_size
+    END SUBROUTINE cxios_get_file_format
+    
+    FUNCTION cxios_is_defined_file_format(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_format
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_format
+    
+    
     SUBROUTINE cxios_set_file_min_digits(file_hdl, min_digits) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 501)
+++ XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 517)
@@ -49,4 +49,25 @@
     
     
+    SUBROUTINE cxios_set_filegroup_format(filegroup_hdl, format, format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: format
+      INTEGER  (kind = C_INT)     , VALUE        :: format_size
+    END SUBROUTINE cxios_set_filegroup_format
+    
+    SUBROUTINE cxios_get_filegroup_format(filegroup_hdl, format, format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: format
+      INTEGER  (kind = C_INT)     , VALUE        :: format_size
+    END SUBROUTINE cxios_get_filegroup_format
+    
+    FUNCTION cxios_is_defined_filegroup_format(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_format
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_format
+    
+    
     SUBROUTINE cxios_set_filegroup_group_ref(filegroup_hdl, group_ref, group_ref_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 501)
+++ XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 517)
@@ -12,6 +12,6 @@
   
   SUBROUTINE xios(set_file_attr)  &
-    ( file_id, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-    , split_freq, split_freq_format, sync_freq, type )
+    ( file_id, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+    , par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -21,4 +21,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
@@ -34,12 +35,12 @@
       CALL xios(get_file_handle)(file_id,file_hdl)
       CALL xios(set_file_attr_hdl_)   &
-      ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-      , split_freq, split_freq_format, sync_freq, type )
+      ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+      , par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(set_file_attr)
   
   SUBROUTINE xios(set_file_attr_hdl)  &
-    ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-    , split_freq, split_freq_format, sync_freq, type )
+    ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+    , par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -48,4 +49,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
@@ -60,12 +62,12 @@
       
       CALL xios(set_file_attr_hdl_)  &
-      ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-      , split_freq, split_freq_format, sync_freq, type )
+      ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+      , par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(set_file_attr_hdl)
   
   SUBROUTINE xios(set_file_attr_hdl_)   &
-    ( file_hdl, description_, enabled_, min_digits_, name_, name_suffix_, output_freq_, output_level_  &
-    , par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    ( file_hdl, description_, enabled_, format_, min_digits_, name_, name_suffix_, output_freq_  &
+    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -74,4 +76,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled_
       LOGICAL (KIND=C_BOOL) :: enabled__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format_
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
@@ -94,4 +97,8 @@
       ENDIF
       
+      IF (PRESENT(format_)) THEN
+        CALL cxios_set_file_format(file_hdl%daddr, format_, len(format_))
+      ENDIF
+      
       IF (PRESENT(min_digits_)) THEN
         CALL cxios_set_file_min_digits(file_hdl%daddr, min_digits_)
@@ -139,6 +146,6 @@
   
   SUBROUTINE xios(get_file_attr)  &
-    ( file_id, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-    , split_freq, split_freq_format, sync_freq, type )
+    ( file_id, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+    , par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -148,4 +155,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
@@ -161,12 +169,12 @@
       CALL xios(get_file_handle)(file_id,file_hdl)
       CALL xios(get_file_attr_hdl_)   &
-      ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-      , split_freq, split_freq_format, sync_freq, type )
+      ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+      , par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(get_file_attr)
   
   SUBROUTINE xios(get_file_attr_hdl)  &
-    ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-    , split_freq, split_freq_format, sync_freq, type )
+    ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+    , par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -175,4 +183,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
@@ -187,12 +196,12 @@
       
       CALL xios(get_file_attr_hdl_)  &
-      ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-      , split_freq, split_freq_format, sync_freq, type )
+      ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+      , par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(get_file_attr_hdl)
   
   SUBROUTINE xios(get_file_attr_hdl_)   &
-    ( file_hdl, description_, enabled_, min_digits_, name_, name_suffix_, output_freq_, output_level_  &
-    , par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    ( file_hdl, description_, enabled_, format_, min_digits_, name_, name_suffix_, output_freq_  &
+    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -201,4 +210,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled_
       LOGICAL (KIND=C_BOOL) :: enabled__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format_
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
@@ -221,4 +231,8 @@
       ENDIF
       
+      IF (PRESENT(format_)) THEN
+        CALL cxios_get_file_format(file_hdl%daddr, format_, len(format_))
+      ENDIF
+      
       IF (PRESENT(min_digits_)) THEN
         CALL cxios_get_file_min_digits(file_hdl%daddr, min_digits_)
@@ -266,6 +280,6 @@
   
   SUBROUTINE xios(is_defined_file_attr)  &
-    ( file_id, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-    , split_freq, split_freq_format, sync_freq, type )
+    ( file_id, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+    , par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -276,4 +290,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL(KIND=C_BOOL) :: enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: format
+      LOGICAL(KIND=C_BOOL) :: format_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: min_digits
       LOGICAL(KIND=C_BOOL) :: min_digits_tmp
@@ -299,12 +315,12 @@
       CALL xios(get_file_handle)(file_id,file_hdl)
       CALL xios(is_defined_file_attr_hdl_)   &
-      ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-      , split_freq, split_freq_format, sync_freq, type )
+      ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+      , par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(is_defined_file_attr)
   
   SUBROUTINE xios(is_defined_file_attr_hdl)  &
-    ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-    , split_freq, split_freq_format, sync_freq, type )
+    ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+    , par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -314,4 +330,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL(KIND=C_BOOL) :: enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: format
+      LOGICAL(KIND=C_BOOL) :: format_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: min_digits
       LOGICAL(KIND=C_BOOL) :: min_digits_tmp
@@ -336,12 +354,12 @@
       
       CALL xios(is_defined_file_attr_hdl_)  &
-      ( file_hdl, description, enabled, min_digits, name, name_suffix, output_freq, output_level, par_access  &
-      , split_freq, split_freq_format, sync_freq, type )
+      ( file_hdl, description, enabled, format, min_digits, name, name_suffix, output_freq, output_level  &
+      , par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(is_defined_file_attr_hdl)
   
   SUBROUTINE xios(is_defined_file_attr_hdl_)   &
-    ( file_hdl, description_, enabled_, min_digits_, name_, name_suffix_, output_freq_, output_level_  &
-    , par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    ( file_hdl, description_, enabled_, format_, min_digits_, name_, name_suffix_, output_freq_  &
+    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -351,4 +369,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: enabled_
       LOGICAL(KIND=C_BOOL) :: enabled__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: format_
+      LOGICAL(KIND=C_BOOL) :: format__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: min_digits_
       LOGICAL(KIND=C_BOOL) :: min_digits__tmp
@@ -382,4 +402,9 @@
       ENDIF
       
+      IF (PRESENT(format_)) THEN
+        format__tmp=cxios_is_defined_file_format(file_hdl%daddr)
+        format_=format__tmp
+      ENDIF
+      
       IF (PRESENT(min_digits_)) THEN
         min_digits__tmp=cxios_is_defined_file_min_digits(file_hdl%daddr)
Index: XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 501)
+++ XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 517)
@@ -12,5 +12,5 @@
   
   SUBROUTINE xios(set_filegroup_attr)  &
-    ( filegroup_id, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    ( filegroup_id, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
     , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -21,4 +21,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits
@@ -35,5 +36,5 @@
       CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
       CALL xios(set_filegroup_attr_hdl_)   &
-      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
       , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -41,5 +42,5 @@
   
   SUBROUTINE xios(set_filegroup_attr_hdl)  &
-    ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
     , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -49,4 +50,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits
@@ -62,5 +64,5 @@
       
       CALL xios(set_filegroup_attr_hdl_)  &
-      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
       , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -68,6 +70,7 @@
   
   SUBROUTINE xios(set_filegroup_attr_hdl_)   &
-    ( filegroup_hdl, description_, enabled_, group_ref_, min_digits_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    ( filegroup_hdl, description_, enabled_, format_, group_ref_, min_digits_, name_, name_suffix_  &
+    , output_freq_, output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_  &
+     )
     
     IMPLICIT NONE
@@ -76,4 +79,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled_
       LOGICAL (KIND=C_BOOL) :: enabled__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits_
@@ -97,4 +101,8 @@
       ENDIF
       
+      IF (PRESENT(format_)) THEN
+        CALL cxios_set_filegroup_format(filegroup_hdl%daddr, format_, len(format_))
+      ENDIF
+      
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_set_filegroup_group_ref(filegroup_hdl%daddr, group_ref_, len(group_ref_))
@@ -146,5 +154,5 @@
   
   SUBROUTINE xios(get_filegroup_attr)  &
-    ( filegroup_id, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    ( filegroup_id, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
     , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -155,4 +163,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits
@@ -169,5 +178,5 @@
       CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
       CALL xios(get_filegroup_attr_hdl_)   &
-      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
       , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -175,5 +184,5 @@
   
   SUBROUTINE xios(get_filegroup_attr_hdl)  &
-    ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
     , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -183,4 +192,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits
@@ -196,5 +206,5 @@
       
       CALL xios(get_filegroup_attr_hdl_)  &
-      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
       , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -202,6 +212,7 @@
   
   SUBROUTINE xios(get_filegroup_attr_hdl_)   &
-    ( filegroup_hdl, description_, enabled_, group_ref_, min_digits_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    ( filegroup_hdl, description_, enabled_, format_, group_ref_, min_digits_, name_, name_suffix_  &
+    , output_freq_, output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_  &
+     )
     
     IMPLICIT NONE
@@ -210,4 +221,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled_
       LOGICAL (KIND=C_BOOL) :: enabled__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits_
@@ -231,4 +243,8 @@
       ENDIF
       
+      IF (PRESENT(format_)) THEN
+        CALL cxios_get_filegroup_format(filegroup_hdl%daddr, format_, len(format_))
+      ENDIF
+      
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_get_filegroup_group_ref(filegroup_hdl%daddr, group_ref_, len(group_ref_))
@@ -280,5 +296,5 @@
   
   SUBROUTINE xios(is_defined_filegroup_attr)  &
-    ( filegroup_id, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    ( filegroup_id, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
     , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -290,4 +306,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL(KIND=C_BOOL) :: enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: format
+      LOGICAL(KIND=C_BOOL) :: format_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -315,5 +333,5 @@
       CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
       CALL xios(is_defined_filegroup_attr_hdl_)   &
-      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
       , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -321,5 +339,5 @@
   
   SUBROUTINE xios(is_defined_filegroup_attr_hdl)  &
-    ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
     , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -330,4 +348,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: enabled
       LOGICAL(KIND=C_BOOL) :: enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: format
+      LOGICAL(KIND=C_BOOL) :: format_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -354,5 +374,5 @@
       
       CALL xios(is_defined_filegroup_attr_hdl_)  &
-      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      ( filegroup_hdl, description, enabled, format, group_ref, min_digits, name, name_suffix, output_freq  &
       , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
@@ -360,6 +380,7 @@
   
   SUBROUTINE xios(is_defined_filegroup_attr_hdl_)   &
-    ( filegroup_hdl, description_, enabled_, group_ref_, min_digits_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    ( filegroup_hdl, description_, enabled_, format_, group_ref_, min_digits_, name_, name_suffix_  &
+    , output_freq_, output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_  &
+     )
     
     IMPLICIT NONE
@@ -369,4 +390,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: enabled_
       LOGICAL(KIND=C_BOOL) :: enabled__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: format_
+      LOGICAL(KIND=C_BOOL) :: format__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
       LOGICAL(KIND=C_BOOL) :: group_ref__tmp
@@ -402,4 +425,9 @@
       ENDIF
       
+      IF (PRESENT(format_)) THEN
+        format__tmp=cxios_is_defined_filegroup_format(filegroup_hdl%daddr)
+        format_=format__tmp
+      ENDIF
+      
       IF (PRESENT(group_ref_)) THEN
         group_ref__tmp=cxios_is_defined_filegroup_group_ref(filegroup_hdl%daddr)